package org.jvisu.panel.configurator.editors;

import java.beans.*;

/** Interface for JVisu alignment constants.
 *
 *  <p>$Id: JVImageSource.java,v 1.1 2003/11/30 13:15:52 tgl Exp $
 *  </p>
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 *  <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation. See file LICENCE in this
 *  directory</p>
 *  
 *  <p>Change Log:</p>
 *  <ul>
 *  <li> 1.0 Initial inmplimentation </li>
 *  </ul>
 *  <p>
 *  <p>Choice source for property editor. The choice box contains a 
 *  textual representation of the image source property of JVBool
 *  </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0 
*/
public final class JVImageSource extends PropertyEditorSupport {
    
    /** constants for a property editor */
    public final static String[] imgsrcinfo = {
        "2 Images",
        "1 animated image",
        "Background image animation",
    };
    
    /** Create a new instance */
    public JVImageSource(Object source) {
        super(source);
    }
        
    /** provide the tags for this property
    */
    public final String[] getTags() {
        return imgsrcinfo;
    }

    /** Getter for property aligncontent.
     * @return Value of property aligncontent.
     */
    public String getAsText() {
        int i = ((Integer) super.getValue()).intValue();
        return imgsrcinfo[i];
    }
    
    /** Setter for property aligncontent.
     * @param val Value of property aligncontent.
     */
    public void setAsText(String val) {
        if (val == null)
            return;
        for (int i = 0; i < imgsrcinfo.length; i++) {
            if (val.compareTo((imgsrcinfo[i])) == 0) {
                super.setValue(new Integer(i));
                break;
            }
        }
    }
}
