package org.jvisu.panel.configurator.editors;

import java.beans.*;

/** Property editor for JVLayout selection.
 *
 *  <p>$Id: JVLayout.java,v 1.1 2003/11/10 09:08:07 tgl Exp $
 *  </p>
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 *  <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation. See file LICENCE in this
 *  directory</p>
 *  
 *  <p>Change Log:</p>
 *  <ul>
 *  <li> 1.0 Initial inmplimentation </li>
 *  </ul>
 *  <p>
 *  <p>Property editor for layout selections
 *  </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0 
*/
public final class JVLayout extends PropertyEditorSupport {
    
    /** constants for a property editor */
    public final static String[] layoutinfo = {
        "Auto",
        "Fixed",
        "Box X",
        "Box Y",
        "Grid"
    };
    
    /** Create a new instance */
    public JVLayout(Object source) {
        super(source);
    }
        
    /** provide the tags for this property
    */
    public final String[] getTags() {
        return layoutinfo;
    }

    /** Getter for property aligncontent.
     * @return Value of property aligncontent.
     */
    public String getAsText() {
        int i = ((Integer) super.getValue()).intValue();
        return layoutinfo[i];
    }
    
    /** Setter for property aligncontent.
     * @param val Value of property aligncontent.
     */
    public void setAsText(String val) {
        if (val == null)
            return;
        for (int i = 0; i < layoutinfo.length; i++) {
            if (val.compareTo((layoutinfo[i])) == 0) {
                super.setValue(new Integer(i));
                break;
            }
        }
    }    
}
